Bug 7485 - (int-152113) Email message viewer window refreshes a second time when email opened from Notification icon
(int-152113)
: Email message viewer window refreshes a second time when email opened from No...
Status: RESOLVED FIXED
Product: Email
General
: 5.0/(2.2009.51-1)
: All Maemo
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-30 14:23 UTC by Neil MacLeod
Modified: 2010-03-15 20:56 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Neil MacLeod (reporter) maemo.org 2009-12-30 14:23:19 UTC
SOFTWARE VERSION:
2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Receive notification of new email (ie. new b.m.o email), tap notification
icon
2. Email Inbox opens - tap to read the oldest new email

EXPECTED OUTCOME:

3. Email viewer opens once, then settles down allowing the email to be read
comfortably in its entirety


ACTUAL OUTCOME:

3. Email viewer opens, then after several seconds the view will refresh a
second time which resets your view back to the top of the email.


REPRODUCIBILITY:
Seems to happen almost always with emails opened after tapping Notification
icon. Hard/impossible to reproduce with emails opened when the Notification
icon is not involved.

OTHER COMMENTS:

Quite often I will have already read part way down the email before the refresh
occurs, which means I have to relocate my position within the email once the
second unnecessary refresh has completed.

I don't recall this behaviour with 1.2009.41-11. This new behaviour in
2.2009.51-1 is *very* annoying. :)
Comment 1 Sergio Villar Senin 2010-01-12 21:09:32 UTC
This bug was fixed in modest-3-2 branch in commit
0c2c85d37c42dc3dd1b1472225b949f65416d5fc
Comment 2 Neil MacLeod (reporter) maemo.org 2010-01-12 21:16:50 UTC
(In reply to comment #1)
> This bug was fixed in modest-3-2 branch in commit
> 0c2c85d37c42dc3dd1b1472225b949f65416d5fc
> 

Cheers - it's been driving me bonkers!! :)
Comment 3 Andre Klapper maemo.org 2010-03-15 20:56:28 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).